%if 0%{?rhel} < 7
%{!?__global_ldflags: %global __global_ldflags -Wl,-z,relro}
%endif

Name: exonerate
Summary:  A generic tool for sequence alignment
Version:  2.4.0
Release:  4%{?dist}
License:  GPLv3+
URL:      https://www.ebi.ac.uk/about/vertebrate-genomics/software/exonerate
Source0:  https://github.com/nathanweeks/exonerate/archive/v%{version}.tar.gz#/exonerate-%{version}.tar.gz

# https://github.com/nathanweeks/exonerate/commit/e807454f35513475192e27e66b15d10ef324a83b
Patch0: %{name}-fix_nothread-compilation.patch
# https://github.com/nathanweeks/exonerate/commit/b2acb3fa9ed305853b228c33c9469d9664f0c9d6
Patch1: %{name}-fix-nothread-concurrent-connections.patch

BuildRequires: glib2-devel

%description
Exonerate is a generic tool for pairwise sequence comparison.
It allows you to align sequences using a many alignment models,
either exhaustive dynamic programming or a variety of heuristics.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%configure \
 --enable-glib2 --disable-assert --enable-paranoia --disable-gprof \
 --disable-gcov --enable-compiledmodels --enable-utilities --disable-pthreads \
 --enable-largefile

##Parallel compilation does not work
export C4_COMPILED_MODELS="est2genome protein2genome cdna2genome coding2genome"
make -j1 \
 CFLAGS="%{optflags} -Wl,-z,relro -fPIC -pie -Wl,-z,now $(pkg-config --cflags glib-2.0)" \
 LDFLAGS="%{__global_ldflags} -fPIC -pie -Wl,-z,now"

%install
%make_install

%check
make check

%files
%{!?_licensedir:%global license %doc}
%doc README ChangeLog AUTHORS TODO
%license COPYING
%{_bindir}/exonerate*
%{_bindir}/fasta*
%{_bindir}/esd2esi
%{_bindir}/ipcress
%{_mandir}/man1/*

%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Mar 23 2016 Antonio Trande <sagitterATfedoraproject.org> - 2.4.0-1
- Update to 2.4.0

* Sat Dec 12 2015 Antonio Trande <sagitterATfedoraproject.org> - 2.2.0-2
- Coverage disabled

* Wed Dec 09 2015 Antonio Trande <sagitterATfedoraproject.org> - 2.2.0-1
- First package
